%global user durin42
%global hash 759cafce6bec

Name:          hgsubversion
Version:       1.8.3
Release:       1%{?dist}
Summary:       Mercurial extension for working with Subversion repositories
License:       GPLv2
URL:           https://bitbucket.org/%{user}/%{name}
Source0:       https://bitbucket.org/%{user}/%{name}/get/%{version}.tar.bz2#/%{user}-%{name}-%{hash}.tar.bz2

# Fix for bug fix in subversion 1.9 that caused problems:
# https://groups.google.com/forum/#!topic/hgsubversion/q47xvqDDmS0
# Patches from:
# https://groups.google.com/forum/#!topic/hgsubversion/qVchblMaPN8
# https://groups.google.com/forum/#!topic/hgsubversion/--MYtMUl-v0
Patch0:        hgsubversion-deleted-fix.patch

BuildRequires: subversion >= 1.5
BuildRequires: subversion-python
BuildRequires: mercurial >= 1.3
BuildRequires: python2-devel
# For generating documentation
BuildRequires: python-docutils
# For running tests
BuildRequires: python-nose

Requires: mercurial
Requires: subversion-python

BuildArch: noarch

%{?python_provide:%python_provide python2-%{name}}

%description
hgsubversion is an extension for Mercurial that allows using Mercurial
as a Subversion client.

%prep
%setup -q -n %{user}-%{name}-%{hash}
%patch0 -p1

%build
%{__python2} setup.py build
rst2html hgsubversion/help/subversion.rst hgsubversion.html

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
rm -rf %{buildroot}/%{python2_sitelib}/%{name}/*/*.rst

%check
nosetests -v

%files
%{python2_sitelib}/*
%doc hgsubversion.html
%{!?_licensedir:%global license %%doc}
# NOTE: notice of old address submitted upstream ( see https://bitbucket.org/durin42/hgsubversion/issue/440/address-needs-to-be-updated-in-copying )
%license COPYING

%changelog
* Mon May 11 2015 Dave Johansen <davejohansen@gmail.com> - 1.8.3-1
- Initial RPM release
